Package org.jfree.report.modules.gui.common

# Class DefaultGuiContext

java.lang.Object
org.jfree.report.modules.gui.common.DefaultGuiContext

All Implemented Interfaces:
  `GuiContext`

public class DefaultGuiContext extends Object implements GuiContext
Creation-Date: 16.11.2006, 17:05:27

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`DefaultGuiContext(Locale locale, IconTheme iconTheme, org.pentaho.reporting.libraries.base.config.Configuration configuration)`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`IconTheme`
`getIconTheme()`
`Locale`
`getLocale()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultGuiContext

public DefaultGuiContext(Locale locale, IconTheme iconTheme, org.pentaho.reporting.libraries.base.config.Configuration configuration)

## Method Details

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `GuiContext`

### getIconTheme

public IconTheme getIconTheme()

Specified by:
  `getIconTheme` in interface `GuiContext`

### getConfiguration

public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

Specified by:
  `getConfiguration` in interface `GuiContext`